Name:           python-ipfs-toolkit
Version:        0.5.29
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A set of tools  for working with IPFS in Python: a programmer-friendly API wrapper, P2P data-transmission machinery, and accelerated connections to known peers

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://ipfs.io/ipns/k2k4r8nismm5mmgrox2fci816xvj4l4cudnuc55gkfoealjuiaexbsup#IPFS-Toolkit
Source:         %{pypi_source IPFS-Toolkit}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ipfs-toolkit' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ipfs-toolkit
Summary:        %{summary}

%description -n python3-ipfs-toolkit %_description


%prep
%autosetup -p1 -n IPFS-Toolkit-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ipfs-toolkit -f %{pyproject_files}


%changelog
%autochangelog